path: /build/build/kdialog-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="X" emerge kde-apps/kdialog:5 -pv -t && \
    USE="X" emerge -j ${JOBS} --nodeps kde-apps/kdialog:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kdialog && luet-portage --dir /pkgdir/kdialog
    kde-apps/kdialog:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bdef223445bc87fff1b619ec970f5de5cca8916f4f44722c7aa988fb935c683d
  package:
    name: kdialog
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - X
    requires:
    - name: macaroni-funtoo-race19
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Can be used to show nice dialog boxes from shell scripts
    uri:
    - https://apps.kde.org/en/kdialog
    license: GPL-2
    buildtimestamp: 2024-02-14 14:22:45.790114848 +0000 UTC m=+204.919432845
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
        >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
        >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
        X? ( x11-libs/libX11 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
        >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
      IUSE: X debug
      RDEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
        >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
        >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
        >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
        X? ( x11-libs/libX11 ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-apps/kdialog:5
      kit: kde-kit
      original.package.name: kde-apps/kdialog
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kdialog
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: abed43f37b95bd88140dc137517b328d7cd7c381ca4dd5cce3747ffc71292268
compressiontype: zstd
files:
- usr/bin/kdialog
- usr/bin/kdialog_progress_helper
- usr/share/applications/org.kde.kdialog.desktop
- usr/share/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml
- usr/share/doc/kdialog-23.08.2/README.md.bz2
- usr/share/locale/af/LC_MESSAGES/kdialog.mo
- usr/share/locale/ar/LC_MESSAGES/kdialog.mo
- usr/share/locale/be/LC_MESSAGES/kdialog.mo
- usr/share/locale/be@latin/LC_MESSAGES/kdialog.mo
- usr/share/locale/bg/LC_MESSAGES/kdialog.mo
- usr/share/locale/bn/LC_MESSAGES/kdialog.mo
- usr/share/locale/bn_IN/LC_MESSAGES/kdialog.mo
- usr/share/locale/br/LC_MESSAGES/kdialog.mo
- usr/share/locale/bs/LC_MESSAGES/kdialog.mo
- usr/share/locale/ca/LC_MESSAGES/kdialog.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kdialog.mo
- usr/share/locale/cs/LC_MESSAGES/kdialog.mo
- usr/share/locale/csb/LC_MESSAGES/kdialog.mo
- usr/share/locale/cy/LC_MESSAGES/kdialog.mo
- usr/share/locale/da/LC_MESSAGES/kdialog.mo
- usr/share/locale/de/LC_MESSAGES/kdialog.mo
- usr/share/locale/el/LC_MESSAGES/kdialog.mo
- usr/share/locale/en_GB/LC_MESSAGES/kdialog.mo
- usr/share/locale/eo/LC_MESSAGES/kdialog.mo
- usr/share/locale/es/LC_MESSAGES/kdialog.mo
- usr/share/locale/et/LC_MESSAGES/kdialog.mo
- usr/share/locale/eu/LC_MESSAGES/kdialog.mo
- usr/share/locale/fa/LC_MESSAGES/kdialog.mo
- usr/share/locale/fi/LC_MESSAGES/kdialog.mo
- usr/share/locale/fr/LC_MESSAGES/kdialog.mo
- usr/share/locale/fy/LC_MESSAGES/kdialog.mo
- usr/share/locale/ga/LC_MESSAGES/kdialog.mo
- usr/share/locale/gl/LC_MESSAGES/kdialog.mo
- usr/share/locale/gu/LC_MESSAGES/kdialog.mo
- usr/share/locale/he/LC_MESSAGES/kdialog.mo
- usr/share/locale/hi/LC_MESSAGES/kdialog.mo
- usr/share/locale/hne/LC_MESSAGES/kdialog.mo
- usr/share/locale/hr/LC_MESSAGES/kdialog.mo
- usr/share/locale/hsb/LC_MESSAGES/kdialog.mo
- usr/share/locale/hu/LC_MESSAGES/kdialog.mo
- usr/share/locale/ia/LC_MESSAGES/kdialog.mo
- usr/share/locale/id/LC_MESSAGES/kdialog.mo
- usr/share/locale/is/LC_MESSAGES/kdialog.mo
- usr/share/locale/it/LC_MESSAGES/kdialog.mo
- usr/share/locale/ja/LC_MESSAGES/kdialog.mo
- usr/share/locale/ka/LC_MESSAGES/kdialog.mo
- usr/share/locale/kk/LC_MESSAGES/kdialog.mo
- usr/share/locale/km/LC_MESSAGES/kdialog.mo
- usr/share/locale/kn/LC_MESSAGES/kdialog.mo
- usr/share/locale/ko/LC_MESSAGES/kdialog.mo
- usr/share/locale/ku/LC_MESSAGES/kdialog.mo
- usr/share/locale/lt/LC_MESSAGES/kdialog.mo
- usr/share/locale/lv/LC_MESSAGES/kdialog.mo
- usr/share/locale/mai/LC_MESSAGES/kdialog.mo
- usr/share/locale/mk/LC_MESSAGES/kdialog.mo
- usr/share/locale/ml/LC_MESSAGES/kdialog.mo
- usr/share/locale/mr/LC_MESSAGES/kdialog.mo
- usr/share/locale/ms/LC_MESSAGES/kdialog.mo
- usr/share/locale/nb/LC_MESSAGES/kdialog.mo
- usr/share/locale/nds/LC_MESSAGES/kdialog.mo
- usr/share/locale/ne/LC_MESSAGES/kdialog.mo
- usr/share/locale/nl/LC_MESSAGES/kdialog.mo
- usr/share/locale/nn/LC_MESSAGES/kdialog.mo
- usr/share/locale/oc/LC_MESSAGES/kdialog.mo
- usr/share/locale/or/LC_MESSAGES/kdialog.mo
- usr/share/locale/pa/LC_MESSAGES/kdialog.mo
- usr/share/locale/pl/LC_MESSAGES/kdialog.mo
- usr/share/locale/pt/LC_MESSAGES/kdialog.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kdialog.mo
- usr/share/locale/ro/LC_MESSAGES/kdialog.mo
- usr/share/locale/ru/LC_MESSAGES/kdialog.mo
- usr/share/locale/se/LC_MESSAGES/kdialog.mo
- usr/share/locale/si/LC_MESSAGES/kdialog.mo
- usr/share/locale/sk/LC_MESSAGES/kdialog.mo
- usr/share/locale/sl/LC_MESSAGES/kdialog.mo
- usr/share/locale/sq/LC_MESSAGES/kdialog.mo
- usr/share/locale/sr/LC_MESSAGES/kdialog.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kdialog.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kdialog.mo
- usr/share/locale/sr@latin/LC_MESSAGES/kdialog.mo
- usr/share/locale/sv/LC_MESSAGES/kdialog.mo
- usr/share/locale/ta/LC_MESSAGES/kdialog.mo
- usr/share/locale/te/LC_MESSAGES/kdialog.mo
- usr/share/locale/tg/LC_MESSAGES/kdialog.mo
- usr/share/locale/th/LC_MESSAGES/kdialog.mo
- usr/share/locale/tr/LC_MESSAGES/kdialog.mo
- usr/share/locale/ug/LC_MESSAGES/kdialog.mo
- usr/share/locale/uk/LC_MESSAGES/kdialog.mo
- usr/share/locale/uz/LC_MESSAGES/kdialog.mo
- usr/share/locale/uz@cyrillic/LC_MESSAGES/kdialog.mo
- usr/share/locale/vi/LC_MESSAGES/kdialog.mo
- usr/share/locale/wa/LC_MESSAGES/kdialog.mo
- usr/share/locale/xh/LC_MESSAGES/kdialog.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kdialog.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kdialog.mo
- usr/share/metainfo/org.kde.kdialog.metainfo.xml
- var/db/pkg/kde-apps/kdialog-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kdialog-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kdialog-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kdialog-23.08.2/CBUILD
- var/db/pkg/kde-apps/kdialog-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kdialog-23.08.2/CHOST
- var/db/pkg/kde-apps/kdialog-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kdialog-23.08.2/COUNTER
- var/db/pkg/kde-apps/kdialog-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kdialog-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kdialog-23.08.2/DEPEND
- var/db/pkg/kde-apps/kdialog-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kdialog-23.08.2/EAPI
- var/db/pkg/kde-apps/kdialog-23.08.2/FEATURES
- var/db/pkg/kde-apps/kdialog-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kdialog-23.08.2/INHERITED
- var/db/pkg/kde-apps/kdialog-23.08.2/IUSE
- var/db/pkg/kde-apps/kdialog-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kdialog-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kdialog-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kdialog-23.08.2/LICENSE
- var/db/pkg/kde-apps/kdialog-23.08.2/NEEDED
- var/db/pkg/kde-apps/kdialog-23.08.2/PF
- var/db/pkg/kde-apps/kdialog-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kdialog-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kdialog-23.08.2/SIZE
- var/db/pkg/kde-apps/kdialog-23.08.2/SLOT
- var/db/pkg/kde-apps/kdialog-23.08.2/USE
- var/db/pkg/kde-apps/kdialog-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kdialog-23.08.2/kdialog-23.08.2.ebuild
- var/db/pkg/kde-apps/kdialog-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kdialog
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - X
  requires:
  - name: kdbusaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: kguiaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: ki18n
    version: '>=0'
    category: kde-frameworks-5
  - name: kiconthemes
    version: '>=0'
    category: kde-frameworks-5
  - name: kio
    version: '>=0'
    category: kde-frameworks-5
  - name: knotifications
    version: '>=0'
    category: kde-frameworks-5
  - name: kwidgetsaddons
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Can be used to show nice dialog boxes from shell scripts
  uri:
  - https://apps.kde.org/en/kdialog
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
      >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
      >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
      X? ( x11-libs/libX11 ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: X debug
    RDEPEND: '>=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
      >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
      >=kde-frameworks/kguiaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/knotifications-5.98.0:5 >=kde-frameworks/ktextwidgets-5.98.0:5
      >=kde-frameworks/kwidgetsaddons-5.98.0:5 >=kde-frameworks/kwindowsystem-5.98.0:5
      X? ( x11-libs/libX11 ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-apps/kdialog:5
    kit: kde-kit
    original.package.name: kde-apps/kdialog
    original.package.slot: "5"
    original.package.version: 23.08.2
